Delete a Notebook Block
ExperimentalThis API is under active development and may change.
DELETE /api/0/organizations/{organization_id_or_slug}/notebooks/{notebook_id}/blocks/{block_id}/
Soft-delete an active block using notebook and block versions. Active executions and other state conflicts return 409. Returns no body. Requires a user or service account. Requires the organizations:investigations feature and open organization membership.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
notebook_id(string)REQUIREDThe ID of an investigation in this organization.
block_id(string)REQUIREDThe ID of an active block in this investigation.
Body Parameters
notebookVersion(integer)REQUIREDCurrent notebook version from the latest detail response. Stale versions return 409.
version(integer)REQUIREDCurrent block version from the latest block response. Stale versions return 409.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:org:adminorg:readorg:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/notebooks/{notebook_id}/blocks/{block_id}/ \ -H 'Authorization: Bearer <auth_token>' \ -X DELETE \ -H 'Content-Type: application/json' \ -d '{}'
RESPONSE
CopiedNo Content.
Was this helpful?